package operations

type TransactionOperations struct {
	Operations
}

func (op *TransactionOperations) RollbackTransaction() {
	defer func() {
		op.processDB = op.initDB
	}()

	op.processDB.Rollback()
}

func (op *TransactionOperations) CommitTransaction() {
	defer func() {
		op.processDB = op.initDB
	}()

	op.processDB.Commit()
}
